---
title: "                         Audition INRIA Paris 2021 -- équipe HeKA"
author: "Jean Feydy"
institute: "Imperial College London"
topic: "Audition INRIA 2021"
theme: "metropolis"
colortheme:
fonttheme:
mainfont: "Overlock"
fontsize: 11pt
linkcolor: black
urlcolor: blue
linkstyle: bold
aspectratio: 169
titlegraphic: 
logo:
date:
section-titles: false
toc: false
---


## CV : un parcours "maths-info" dirigé vers la médecine

Formation en **mathématiques** et **sciences des données** :

```{=latex}
\vspace*{-.25cm}
\begin{description}
\setlength\itemsep{-.5em}
\item[2012--2016] ENS Paris, mathématiques.
\item[2014--2015] M2 mathématiques, vision, apprentissage à l'ENS Cachan.
\item[2016--2019] Thèse en \textcolor{red!80!black}{\textbf{imagerie médicale}} avec Alain Trouvé de l'ENS Cachan.\\
Enseignement en \textbf{maths appliquées} à l'ENS Paris.
\item[2019+] \textcolor{red!80!black}{\textbf{\emph{Deep learning} géométrique}} avec Michael Bronstein de l'Imperial College.
\end{description}
\vspace*{.4cm}
```

Liens étroits avec la `\textbf{\textcolor{red!80!black}{médecine}}`{=latex} :


```{=latex}
\vspace*{-.25cm}
\begin{description}
\setlength\itemsep{-.5em}
\item[2015\phantom{+}] Débruitage d'images chez \textbf{Siemens Healthcare} à Princeton.
\item[2018+] 5 présentations invitées à des \textbf{congrès de radiologie}.
\item[2019+] MasterClass IA--Imagerie, pour les \textbf{internes de radio} à l'Université de Paris.
\item[2020+] Colloque sur l'\textbf{Imagerie médicale à l'heure de l'IA}, à l'Institut du Cerveau.
\end{description}
```

## Ma motivation: l'analyse de données médicales


`\vspace*{.5cm}`{=latex}

![](images/pipeline/pipeline.png){ width=100% }

`\vspace*{.25cm}`{=latex}

Trois **caractéristiques** :

- Données **hétérogènes** : parcours de soin, images, etc.
- Petits échantillons stratifiés : 10 - 1 000 patients par groupe.
- La gestions des ***outliers*** et de la **queue lourde** des distributions est une priorité.



## Un domaine en mutation


::: columns

:::: {.column width=70%}


`\begin{center}`{=latex}
`\vspace*{.5cm}`{=latex}
`\contexte{Enjeu.}`{=latex} Développer des modèles qui combinent \
**expertise** médicale et jeux de **données**.

`\end{center}`{=latex}

\
`\defi{Défi.}`{=latex} Arrivée des **cartes graphiques** (GPU): \
 \

- Excellent rapport **qualité-prix** : \
  $\qquad$ 1 000€ $\simeq$ 1 000 cœurs $\simeq$ $\text{10}^{\text{12}}$ opérations/s.
- **Difficulté** : contraintes sur la gestion des **registres**.

`\vspace*{.5cm}`{=latex}
`\begin{center}`{=latex}

Écosystème Python "grand public" consolidé autour \
d'un **petit nombre d'opérations élémentaires**.

`\end{center}`{=latex}

::::

:::: {.column width=25%}

`\begin{center}`{=latex}

`\vspace*{1cm}`{=latex}

![](images/ampere.jpg){height=6cm}

`\vspace*{.25cm}`{=latex}

**7,000 cœurs** en batterie sur un GPU.

`\end{center}`{=latex}

::::

:::



## Mon projet : un investissement de long terme dans les fondations du domaine

`\begin{center}`{=latex}

`\vspace*{.25cm}`{=latex}
`\solution{Solution.}`{=latex} **Étendre la boîte à outils standard** en sciences des données \
pour répondre aux défis posés par le monde médical. \
 \
**Faciliter** le développement de **modèles avancés**, \
sans compromis sur les performances numériques.

`\vspace*{.5cm}`{=latex}
`\end{center}`{=latex}

Activités antérieures,   **fondations** numériques $\longrightarrow$ applications de **haut niveau** : `\vspace*{-.25cm}`{=latex}

1. Manipulation efficace de **matrices "symboliques"** (distances, noyaux, etc.).
2. **Transport optimal** : méthodes de tri généralisées (focus technique).
3. ***Deep learning*** géométrique et applications **biomédicales**.


**Projet de recherche** et **intégration** dans l'équipe HeKA.


# 1. Matrices symboliques

## Les outils de calcul scientifique manipulent (surtout) des matrices



::: columns

:::: {.column width=70%}

`\vspace*{.25cm}`{=latex}
`\contexte{Contexte.}`{=latex}
**Accès mémoires** contraignants sur GPU :
`\vspace*{.3cm}`{=latex}

- **Temps de transfert** vers les registres \
  pénalisent l'utilisation de matrices **denses**.

- Prime aux accès mémoires **contigus** \
  pénalise l'utilisation de matrices **creuses**.


\
`\defi{Défi.}`{=latex}
Pour atteindre des performances optimales :
`\vspace*{.3cm}`{=latex}

- Se **restreindre** aux opérations supportées directement
  par le constructeur: convolutions, FFT, etc.

- Développer soi-même de nouvelles routines numériques
  en C++/CUDA (**plusieurs mois de travail**).


::::

:::: {.column width=25%}

`\begin{center}`{=latex}


```{=latex}
\begin{tikzpicture}[scale=.9]
	\draw[draw=black, fill=blue!20] (0,0) rectangle ++(3,3);
	\draw[step=.15, color=gray] (0,0) grid ++(3,3);
	\draw[draw=black, thick] (0,0) rectangle ++(3,3);
	\node[inner sep=3pt, anchor = mid, fill=blue!5, rounded corners=2] at (1.5,1.5) {{\normalsize M[\,i\,,\,j\,]}};
\end{tikzpicture}
```

**Matrice dense**

```{=latex}
\vspace*{.5cm}

\begin{tikzpicture}[scale=.9]
	\draw[draw=black, thick] (0,0) rectangle ++(3,3);
	\node[inner sep=0pt, anchor = mid] at (1.5,1.5) {{\normalsize ($\text{i}_\text{n}$, $\text{j}_\text{n}$, $\text{M}_\text{n}$)}};
	\draw[fill=blue!20] (4*.15,1*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (15*.15,1*.15) rectangle ++(.15,.15);
	%
	\draw[fill=blue!20] (2*.15,2*.15) rectangle ++(.15,.15);
	%
	\draw[fill=blue!20] (9*.15,3*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (16*.15,3*.15) rectangle ++(.15,.15);
	%
	%\draw[fill=blue!20] (3*.15,4*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (6*.15,4*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (4*.15,6*.15) rectangle ++(.15,.15);
	%\draw[fill=blue!20] (14*.15,7*.15) rectangle ++(.15,.15);
	%\draw[fill=blue!20] (2*.15,7*.15) rectangle ++(.15,.15);
	%
	\draw[fill=blue!20] (18*.15,8*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (1*.15,9*.15) rectangle ++(.15,.15);
	%\draw[fill=blue!20] (16*.15,10*.15) rectangle ++(.15,.15);
	%
	\draw[fill=blue!20] (6*.15,13*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (16*.15,13*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (4*.15,14*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (12*.15,15*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (2*.15,16*.15) rectangle ++(.15,.15);
	\draw[fill=blue!20] (10*.15,17*.15) rectangle ++(.15,.15);
\end{tikzpicture}
```

**Matrice creuse**

`\end{center}`{=latex}

::::

:::

  
## Ma contribution: support efficace des matrices symboliques


::: columns

:::: {.column width=70%}

`\solution{Solution.}`{=latex} 
KeOps -- `\textcolor{blue}{\texttt{www.kernel-operations.io}}`{=latex} : `\vspace*{.2cm}`{=latex}

- Pour PyTorch, NumPy, Matlab et R sur **CPU et GPU**.
- **Différentiation automatique**.
- **Compilation** à la volée de **schémas optimisés** en C++, \
  exécutés pour chaque **réduction** (somme, min, etc.).

\
Si la formule "F" est simple ($\leqslant$ 100 opérations arithmétiques): \
$\qquad$ calcul "100k $\times$ 100k"   $\rightarrow$  10ms -- 100ms, \
$\qquad$ calcul    "1M $\times$ 1M"      $\rightarrow \phantom{\text{0m}}$ 1s -- 10s.

`\vspace*{.5cm}`{=latex}

`\begin{center}`{=latex}

Limite matérielle de $\text{10}^{\text{12}}$ opérations/s. \
Exécution **10 à 100 fois plus rapide** / code GPU standard \
pour une large gamme de problèmes.

`\end{center}`{=latex}

::::

:::: {.column width=25%}

`\begin{center}`{=latex}



```{=latex}
\begin{tikzpicture}[scale=.9]
	% Left border:
	\draw[draw=black, fill=red!20] (-.45,0) rectangle ++(.3,3);
	\draw[draw=black, fill=red!80] (-.45,9*.15) rectangle ++(.3,.15);
	\draw[step=.15, color=gray] (-.45,0) grid ++(.3,3);
	\draw[draw=black] (-.45,0) rectangle ++(.3,3);
	%
	% Top border:
	\draw[draw=black, fill=green!20] (0,3.15) rectangle ++(3,.3);
	\draw[draw=black, fill=green!80] (6*.15,3.15) rectangle ++(.15,.3);
	\draw[step=.15, color=gray] (0,3.15) grid ++(3,.3);
	\draw[draw=green!50!black] (0,3.15) rectangle ++(3,.3);
	%
	\draw[draw=black,thick] (0,0) rectangle ++(3,3);
	%
	\draw[->, thick, color=red!80!black] (.5*.15, 9.5*.15) -- (5*.15, 9.5*.15);
	\draw[->, thick, color=green!50!black] (6.5*.15, 19.5*.15) -- (6.5*.15, 11*.15);
	%
	\draw[fill=blue!40] (6*.15,9*.15) rectangle ++(.15,.15);
	\node[inner sep=0pt, anchor = mid, color=blue!50!black] at (1.95,1.4) {\normalsize{F(\,\textcolor{red!80!black}{$\text{x}_\text{i}$}\,,\,\textcolor{green!50!black}{$\text{y}_\text{j}$}\,)}};
\end{tikzpicture}
```

**Matrice symbolique** \
Formules + données
 

`\end{center}`{=latex}
`\vspace*{.5cm}`{=latex}


- Distances `d(\textcolor{red!80!black}{$\text{x}_\text{i}$},\textcolor{green!50!black}{$\text{y}_\text{j}$})`{=latex}.
- Noyaux `k(\textcolor{red!80!black}{$\text{x}_\text{i}$},\textcolor{green!50!black}{$\text{y}_\text{j}$})`{=latex}.
- Nombreuses transformées.


::::

:::



# 2. Transport optimal

## Le transport optimal (OT) généralise le tri aux espaces de dimension D $>$ 1



::: columns

:::: {.column width=70%}


`\contexte{Contexte.}`{=latex}
Si  $\a{\text{A} = (\text{x}_\text{1}, \dots, \text{x}_\text{N})}$  et  $\b{\text{B} = (\text{y}_\text{1}, \dots, \text{y}_\text{N})}$  sont deux nuages de N points dans $\mathbb{R}^\text{D}$,
on définit :




```{=latex}
\vspace*{-.3cm}
\begin{equation*}
\OT(\a{\text{A}},\b{\text{B}}) ~=~ \min_{\sigma \in \mathcal{S}_\text{N}}~ \frac{\text{1}}{\text{2N}} \sum_{\text{i\,=1}}^\text{N} \v{\|~\a{\text{x}_i} - \b{\text{y}_{\sigma(i)}}\|^2}
\end{equation*}
\vspace*{.2cm}
```

Généralise le **tri** aux espaces métriques. \
**Problème linéaire** sur la matrice de permutation $\g{\text{P}}$ :

```{=latex}
\begin{equation*}
\OT(\a{\text{A}},\b{\text{B}}) ~=~ \min_{\g{\text{P}} \in \mathbb{R}^{\text{N}\times \text{N}} ~}
\frac{\text{1}}{\text{2N}} \sum_{\text{i, j\,=1}}^{\text{N}} \g{\text{P}_{i,j}} \cdot \v{ \|~ \a{\text{x}_i} - \b{\text{y}_j} \|^2 }~,
\end{equation*}
\vspace*{-.6cm}
\begin{align*}
&\text{s.t.} &
\g{ \text{P}_{i,j}} ~&\geqslant ~\text{0} &
\underbrace{\b{\textstyle\sum_j} \g{ \text{P}_{i,j}} ~=~ \a{\text{1}}}_{\text{Chaque point au départ\dots{}}}& &
\underbrace{\vphantom{\textstyle\sum_j}\a{\textstyle\sum_i} \g{ \text{P}_{i,j}} ~=~ \b{\text{1}}~.}_{\text{est transporté jusqu'à l'arrivée.}}
\end{align*}

```

::::

:::: {.column width=25%}

```{=latex}
\begin{center}
	\begin{tikzpicture}[scale=.5,x=.7cm,y=-.7cm]
		%\node[anchor = east] at (0,4) {source};
		\draw[->,>=latex,thick,color=black]  (0,0)--(0,16.5);
		\node[circle,fill=red!80!black,inner sep=0pt,minimum size=7pt,label=left:{$\a{\text{x}_\text{1}}$}] (x1) at (0,1) {};
		\node[circle,fill=red!80!black,inner sep=0pt,minimum size=7pt,label=left:{$\a{\text{x}_\text{2}}$}] (x2) at (0,2) {};
		\node[circle,fill=red!80!black,inner sep=0pt,minimum size=7pt,label=left:{$\a{\text{x}_\text{3}}$}] (x3) at (0,3.5) {};
		\node[circle,fill=red!80!black,inner sep=0pt,minimum size=7pt,label=left:{$\a{\text{x}_\text{4}}$}] (x4) at (0,5) {};
		\node[circle,fill=red!80!black,inner sep=0pt,minimum size=7pt,label=left:{$\a{\text{x}_\text{5}}$}] (x5) at (0,7.5) {};


		%\node[anchor = east] at (0,0) {cible};
		\draw[->,>=latex,thick,color=black]  (4,0)--(4,16.5);
		\node[circle,fill=blue,inner sep=0pt,minimum size=7pt,label=right:{$\b{\text{y}_\text{3}}$}] (y1) at (4,5.5) {};
		\node[circle,fill=blue,inner sep=0pt,minimum size=7pt,label=right:{$\b{\text{y}_\text{5}}$}] (y2) at (4,7) {};
		\node[circle,fill=blue,inner sep=0pt,minimum size=7pt,label=right:{$\b{\text{y}_\text{2}}$}] (y3) at (4,8.5) {};
		\node[circle,fill=blue,inner sep=0pt,minimum size=7pt,label=right:{$\b{\text{y}_\text{4}}$}] (y4) at (4,12.5) {};
		\node[circle,fill=blue,inner sep=0pt,minimum size=7pt,label=right:{$\b{\text{y}_\text{1}}$}] (y5) at (4,15) {};

		\node[anchor = north, align=center, color=otplan!70!black] at (2,17) {{assignement}\\ ${\sigma:\zp[i]{1,5}\rightarrow \zp[i]{1,5}}$};

		\draw[color=otplan,very thick] (x1) -- (y1) (x2) -- (y2) (x3) -- (y3) (x4) -- (y4) (x5) -- (y5);

		%\onslide<2,3,4,6->{\draw[color=green!80!black,thick] (x3) -- (y3) (x4) -- (y4);}
		%\onslide<5>{\draw[color=green!80!black] (x4) -- (y3);
		%\draw[color=green!80!black, very thick] (x3) -- (y4);}

	\end{tikzpicture}
	\end{center}
```

::::

:::


## Régularisation et biais entropique


::: columns

:::: {.column width=75%}

`\begin{center}\vspace*{.25cm}`{=latex}

`\defi{Défi.}`{=latex}
Assignement linéaire  : difficile à résoudre en toute généralité. \
**Structure** de la matrice des distances $\v{ \|\,\a{\text{x}_i} -\b{\text{y}_j} \| }$ \
$\Longrightarrow$ **Accélérer** les calculs. \
 

Outil fondamental : le **transport régularisé** \
$\OT_\varepsilon(\a{\text{A}}, \b{\text{B}}) \simeq \OT(\a{\text{A}}, \b{\text{B}}) +$ **pénalité entropique** d'intensité  $\varepsilon > \text{0}$. \
 

Approximation **lisse** et strictement **convexe** : plus facile à étudier,\
très populaire algorithme de **Sinkhorn** (ou "*SoftAssign*").\
 

En revanche, elle ne **vérifie pas les axiomes d'une distance** : \
$\OT_\varepsilon(\b{\text{B}}, \b{\text{B}}) > \text{0}$.

`\end{center}`{=latex}

::::

:::: {.column width=22%}


`\begin{center}`{=latex}

![](images/bias/entropic_bias_vertical_gris.png){height=6cm}

$\arg \min_{\a{\text{A}}}
\OT_\varepsilon(\a{\text{A}}, \b{\text{B}})$.

`\end{center}`{=latex}


::::

:::

## Solution théorique : garantie de robustesse au biais entropique


::: columns

:::: {.column width=75%}


`\begin{center}`{=latex}


`\solution{Solution.}`{=latex} 
Les **divergences de Sinkhorn** sont définies par : \
$\S_\varepsilon(\a{\al}, \b{\be}) = \OT_\varepsilon(\a{\al}, \b{\be}) - \tfrac{1}{2} \OT_\varepsilon(\a{\al}, \a{\al}) - \tfrac{1}{2} \OT_\varepsilon(\b{\be}, \b{\be})$ \
afin de retrouver une valeur nulle lorsque $\a{\text{A}} = \b{\text{B}}$.

`\end{center}`{=latex}


```{=latex}
\vspace*{.25cm}

\begin{theorem}[~$\S_\varepsilon$ se prête bien à l'optimisation]
	\hspace*{5mm}Pour tous échantillons~~$\a{\al}$~~et~~$\b{\be}$~:
	\begin{center}\vspace{-.1cm}
		$\S_\varepsilon(\a{\al},\b{\be})~\geqslant~\text{0}$
		~~~avec égalité ssi.~~~$\a{\al}=\b{\be}$~, \\[.1cm]
		$\a{\al}\mapsto \S_\varepsilon(\a{\al},\b{\be})$
		~~est convexe au sens des mesures, \\
		différentiable et métrise la convergence en loi.\\[.3cm]
	\end{center}
	\hspace*{5mm}On généralise ce résultat aux \textbf{mesures} de Radon positives,\\
	\hspace*{5mm} à des \textbf{métriques} $\v{ \|\,\a{\text{x}_i} -\b{\text{y}_j} \| }$ générales et au cas ``\textbf{unbalanced}''.
	\vspace{.3cm}
\end{theorem}


```

::::

:::: {.column width=22%}

`\begin{center}`{=latex}

![](images/bias/Seps_slope_gris.png){height=6cm}

$\arg \min_{\a{\text{A}}}
\S_\varepsilon(\a{\text{A}}, \b{\text{B}})$.

`\end{center}`{=latex}


::::

:::



## Solution pratique : l'algorithme de Sinkhorn multi-échelle

```{=latex}

\begin{center} 
	\solution{Solution.}
	J'ai amélioré l'état de l'art pour le transport
	optimal discret par \\
	\textbf{un à trois ordres de grandeur} -- selon le régime d'utilisation :
	
	Sinkhorn GPU
	$\xrightarrow{\times \text{10}}$
	+ KeOps
	$\xrightarrow{\times \text{10}}$
	+ Recuit simulé
	$\xrightarrow{\times \text{10}}$
	+ Multi-échelle
	
	
	Résoudre un problème de transport avec une précision de 1\% :\\~
	\end{center}

	\vspace*{-.25cm}
	\begin{tabular}{cccc}
	\begin{minipage}{.2\linewidth}
	\begin{center}
	~\\
	\texttt{pip install geomloss}\\
	+\\
	GPU récent\\ (1 000 €)
	\end{center}
	\end{minipage}
	&
	\begin{minipage}{.1\linewidth}
	~\\
	$\Longrightarrow$
	\end{minipage}
	&
	\begin{minipage}{.3\linewidth}
	\includegraphics[height=3.5cm]{images/dragon_ball/lowres.png}
	\end{minipage}
	&
	\begin{minipage}{.3\linewidth}
	\includegraphics[height=3.5cm]{images/dragon_ball/highres.png}
	\end{minipage}
	\\
	&&
	10k points en 30-50ms
	&
	\textbf{100k points en 100-200ms}
	\end{tabular}
```


# 3. Deep learning géométrique

## Concevoir des modèles entraînables et adaptés aux experts



::: columns

:::: {.column width=75%}

`\vspace*{.1cm}`{=latex}
`\contexte{Enjeu.}`{=latex}
Modèles profonds sur des **domaines non-euclidiens**
(nuages de points, surfaces, graphes, etc.),
au-delà des images 2D/3D.

\
`\defi{Défi.}`{=latex}
En dépit d'un intérêt industriel croissant, \
ces modèles restent **mal supportés** numériquement. \
Le C++/CUDA reste (souvent) incontournable.


\
`\solution{Solution.}`{=latex}
En quelques lignes de Python,
avec KeOps :


- Interactions **locales**: K-plus-proches voisins.
- Interactions **globales**: convolutions généralisées.

`\vspace*{.35cm}\begin{center}`{=latex}

**Liberté** de modélisation \
$\Longrightarrow$  **Spécificités** des domaines étudiés.

`\end{center}`{=latex}

::::

:::: {.column width=22%}

`\begin{center}`{=latex}

![](images/applications/coordinates_gris.png){height=6cm}

Convolution quasi-géodésique sur un nuage de points orientés.

`\end{center}`{=latex}


::::

:::


## Quelques applications biomédicales depuis mon arrivée à Londres

::: columns

:::: {.column width=30%}

`\begin{center}`{=latex}

![](images/applications/proteins.png){height=40%}

***Docking* de protéines** :

*deep learning* géométrique avec KeOps. \
 \
 \

Michael Bronstein\
et Bruno Correia (EPFL).

`\end{center}`{=latex}

::::

:::: {.column width=30%}

`\begin{center}`{=latex}

![](images/applications/lungs.png){height=40%}

**Recalage de poumons** :

*deep learning* géométrique,
transport optimal et recalage difféomorphique. \
 \

Marc Niethammer \
(UNC Chapel Hill).

`\end{center}`{=latex}

::::

:::: {.column width=30%}

`\begin{center}`{=latex}

![](images/applications/HSC.png){height=40%}

**Différenciation de cellules souches du sang**: \
transport optimal, \
modélisation. \
 \

Dominique Bonnet \
(Francis Crick Institute).

`\end{center}`{=latex}

::::

:::

## Bilan : un investissement de long terme qui porte ses fruits

Deux évolutions majeures:

- "Gros" problème géométrique :     N $>$ **10k**    $\longrightarrow$    N $>$ **1M**.
- Transport optimal :            **problème** linéaire    $\,\,+\,\,$    **tri rapide** généralisé.



`\begin{center}`{=latex}
`\vspace*{.75cm}`{=latex}

![](images/projet/bilan.pdf){width=90%}

`\end{center}`{=latex}



# Projet de recherche


`\contexte{Contexte.}`{=latex}
L'équipe **HeKA** (commune Inria -- Inserm -- Université de Paris):

- Affiliée à l'UFR de Médecine et au Centre Inria de Paris.
- Spectre de compétences étendu, **7 permanents hospitalo-universitaires**.

`\vspace*{.25cm}`{=latex}

`\defi{Défi.}`{=latex} HeKA est centrée sur la **représentation des patients** et de leurs trajectoires : \
`\hspace*{.95cm}`{=latex} santé publique, médecine de précision, essais cliniques.

`\vspace*{.25cm}`{=latex}

`\solution{Mon projet.}`{=latex} **Analyse géométrique** de données de **santé** :

1. **Passage à l'échelle** de modèles statistiques complexes.
2. Méthodes **géométriques** pour l'analyse de données structurées.
3. Nouvelle génération de modèles robustes pour l'**anatomie** computationnelle.

## 1. Passage à l'échelle de modèles statistiques complexes


::: columns

:::: {.column width=65%}

`\begin{center}\vspace*{.5cm}`{=latex}

\
`\contexte{Contexte.}`{=latex} 
En **pharmaco-vigilance**
l'estimation d'effets \
indésirables est un problème de santé publique.

\
`\defi{Défi.}`{=latex}
Modèles standards : bibliothèques R conçues
pour des **essais cliniques** à petite ou moyenne échelle, \
$\neq$  **"dépistage massif"** de la population française. \
 \

**Limitations numériques** \
$\Longrightarrow$  Dépendance aux signaux d'alerte \
en médecine de ville.

`\end{center}`{=latex}

::::

:::: {.column width=30%}

`\begin{center}`{=latex}

![](images/projet/clinical_therapeutics.png){height=85%}

`\end{center}`{=latex}


::::

:::



## 1. Passage à l'échelle de modèles statistiques complexes


`\solution{Solution.}`{=latex}
KeOps **démocratise** l'analyse de jeux de données d'**envergure nationale**.`\vspace*{.25cm}`{=latex}

Avec **HeKA** -- modèle de survie WCE (*Weighted Cumulative Exposure* $=$ Cox PH + splines) \
données de l'**assurance maladie** (660k parcours de soin) : `\vspace*{.6cm}`{=latex}

`\centerline{ \textcolor{red!65!black}{R-WCE avec 32 cœurs CPU}  $~~\xrightarrow{~~\times\text{10} \text{--} \times{100}~~}~~$ \textcolor{green!60!black}{R-WCE \textbf{+ R-KeOps} avec 1 GPU}. }`{=latex}


`\begin{center}\vspace*{.5cm}`{=latex}

$\Longrightarrow$   **Veille continue** à l'échelle nationale.


\
`\textcolor{green!60!black}{\textbf{Verrou}} à débloquer :`{=latex}
**modèles** plus fins, **structure** des espaces de données. \
Pour WCE : classification hiérarchique ATC des **médicaments**.

`\end{center}`{=latex}


## 2. Méthodes géométriques pour l'analyse de données structurées



::: columns

:::: {.column width=65%}

`\begin{center}\vspace*{1cm}`{=latex}

 \
`\contexte{Enjeu.}`{=latex} 
**Représenter** nos échantillons \
dans des **espaces métriques** appropriés \
$\Longrightarrow$  Travail efficace avec des données **hétérogènes**.

 \
 \
`\defi{Défi.}`{=latex}
Statistiques géométriques : riche histoire, \
souvent limitée par les **biais** des outils de calcul \
(algèbre **linéaire**  =  espaces **euclidiens**).

`\end{center}`{=latex}

::::

:::: {.column width=30%}

`\begin{center}`{=latex}

![](images/projet/kendall.png){height=30%}

Sphère des triangles. \
 \


![](images/projet/recist.png){height=30%}

Suivi de tumeurs du foie \
(Hôpital Pompidou).

`\end{center}`{=latex}


::::

:::



## 2. Méthodes géométriques pour l'analyse de données structurées


::: columns

:::: {.column width=75%}

`\begin{center}`{=latex}

`\solution{Solution.} \qquad\qquad~~`{=latex}
KeOps + GeomLoss $\qquad\qquad\qquad\qquad~~$\
$\Longrightarrow\qquad$  Passage à l'échelle de géométries arbitraires $\qquad$ \
$\Longrightarrow$  Méthodes de **haut niveau**, au-delà des ACP tangentes :\
modèles Gaussiens, analyse topologique, *deep learning*... \

\
Focus sur la métrique de **Wasserstein** (transport optimal) : \
**mesures** et **histogrammes**.

`\end{center}`{=latex}


\
`\textcolor{green!60!black}{\textbf{Verrous}} à débloquer :`{=latex}

- Algorithmique : stratégies multi-échelles **non-euclidiennes**.
- Mathématique : métriques moins **homogènes**, \
                      mais proches des **données** et des **experts**.
- Pratique : **diffusion** auprès du monde médical.


::::

:::: {.column width=22%}

`\begin{center}`{=latex}

![](images/wasserstein_geodesic.png){height=60%}

Géodésique de Wasserstein. \
 \


![](images/umap.jpg){height=60%}

Analyse UMAP \
de N = 1 000 \
diagrammes.

`\end{center}`{=latex}


::::

:::



## 3. Intégration de données anatomiques



::: columns

:::: {.column width=70%}

`\vspace*{.25cm}`{=latex}

`\begin{center}`{=latex}

`\contexte{Contexte.}`{=latex}
**Expertise en anatomie computationnelle** \
$\Longrightarrow$  Nouvelle compétence essentielle pour HeKA.

\
`\defi{Défi.}`{=latex} Problèmes **cliniques**
issus des Hôpitaux de Paris.

\
`\solution{Solution.}`{=latex}
**Nouvelle génération de modèles** en morphométrie, \
combinant pour la première fois : \
 \

- Extraction **automatique** de descripteurs.
- Mise en correspondance à l'aide du **transport optimal**.
- Analyse **riemannienne** des déformations. \
  \

`\textcolor{green!60!black}{\textbf{Verrou}.}`{=latex}  Imagerie médicale $\cap$ Vision par ordinateur $\cap$ *Graphics*.

`\end{center}`{=latex}

::::

:::: {.column width=25%}

`\begin{center}`{=latex}

![](images/necker.png){height=80%}

L'un des 40 000 jeunes patients documentés depuis 1995 par le service de  chirurgie maxillo-faciale de l'Hôpital Necker.


`\end{center}`{=latex}

::::

:::



## Un projet à l'interface pour contribuer à moderniser notre système de santé


`\begin{center}`{=latex}

J'apporte à HeKA :     expertise en **géométrie**  $\longrightarrow$  données **hétérogènes**. \
      En retour :   réflexion **mathématique**  $\longleftarrow$  problèmes **cliniques**. `\\[.3cm]`{=latex}
**Logiciel**  $\Longrightarrow$  dynamique **au-delà** du monde médical.


`\vspace*{.25cm}`{=latex}
`\end{center}`{=latex}


::: columns

:::: {.column width=33%}

`\begin{center}`{=latex}

`\court{Court terme :}`{=latex}
`\vspace*{.25cm}`{=latex}

- `\court{WCE-GPU}`{=latex} \
  (Projet Epi-Phare).

- `\court{Dismorphies}`{=latex} infantiles \
  (Hôpital Necker).

- `\court{Spondylarthrites}`{=latex} ankylosantes\
  (Opis, Hôpital Cochin).

`\end{center}`{=latex}

::::

:::: {.column width=33%}

`\begin{center}`{=latex}

`\moyen{Moyen terme :}`{=latex}
`\vspace*{.25cm}`{=latex}

- `\moyen{Transport optimal}`{=latex} \
  (MoKaPlan, Parietal). \
   \

- `\moyen{scikit-shapes}`{=latex} prend la \
  relève de Deformetrica \
  (Paris + Saclay, JHU, \
  Imperial, UNC).

`\end{center}`{=latex}

::::


:::: {.column width=33%}

`\begin{center}`{=latex}

`\longterme{Long terme :}`{=latex}
`\vspace*{.25cm}`{=latex}

- `\longterme{Chirurgie pariétale}`{=latex} \
  (Hôpital Louis Mourier). \
- `\longterme{Statistiques géométriques}`{=latex} \
  (Epione, Sierra). \

- Transfert `\longterme{industriel}`{=latex},\
  au-delà de KeOps.

`\end{center}`{=latex}

::::

:::



## Quelques éléments de mon dossier


```{=latex}

\setlength{\leftmargini}{0cm}
\begin{itemize}
\tightlist
\item \textbf{\textcolor{red!65!black}{Prix de thèse}} de l'association française pour la reconnaissance et l'interprétation des formes. \\[.25cm]
\item KeOps : \textbf{Journal} of Machine Learning Research.
\item 2$\times$MICCAI (dont un oral) + ShapeMI (oral), NeurIPS (spotlight), CVPR, AIStats. \\~

\item \textbf{\textcolor{red!65!black}{50k téléchargements}} pour KeOps (matrices symboliques), 25k pour GeomLoss. \\[.25cm]
\item Intégration dans des \textbf{\textcolor{red!65!black}{logiciels de référence}}, développés à \textcolor{blue}{INRIA} et à l'étranger~: \\
GPyTorch (Cornell, Facebook...), Deformetrica (\textcolor{blue}{Aramis}), Falkon (Université de Gênes + \textcolor{blue}{Sierra}), Gudhi (\textcolor{blue}{DataShape}), Python Optimal Transport (CMAP + \textcolor{blue}{Parietal}). \\ ~

\item \textbf{\textcolor{red!65!black}{Enjeu}} : 
	\textbf{débloquer} l'utilisation de méthodes 
	\textbf{non-euclidiennes} dans le monde médical.
\end{itemize}
```


`\appendix`{=latex}

## Entropie relative ou transport optimal ? Le cas des lois normales.


::: columns

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/wasserstein/Gaussian_fisher_rao.png){height=70%}

Géodésique pour la métrique induite \
par l'**entropie relative**.

`\end{center}`{=latex}

::::

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/wasserstein/Gaussian_wasserstein.png){height=70%}

Géodésique pour la métrique induite \
par le **transport optimal**.

`\end{center}`{=latex}

::::

:::


## Le transport optimal induit une géométrie "particulaire"

`\vspace*{.5cm}`{=latex}

::: columns

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/wasserstein/linear_barycenters.png){height=60%}

Barycentres **euclidiens**. \
("eulériens")

`\end{center}`{=latex}

::::

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/wasserstein/wasserstein_barycenters.png){height=60%}

Barycentres de **Wasserstein**. \
("lagrangiens")

`\end{center}`{=latex}

::::

:::


## Limite des modèles de déformation implémentés par Deformetrica

`\vspace*{.5cm}`{=latex}

::: columns

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/trajectory_gaussian.png){height=60%}

LDDMM.

`\end{center}`{=latex}

::::

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/trajectory_norm.png){height=60%}

LDDMM + normalisation.

`\end{center}`{=latex}

::::

:::



## Limite des modèles de déformation implémentés par Deformetrica

`\vspace*{.5cm}`{=latex}

::: columns

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/gaussian.png){height=60%}

LDDMM.

`\end{center}`{=latex}

::::

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/cauchy_norm.png){height=60%}

LDDMM + normalisation.

`\end{center}`{=latex}

::::

:::


## Limite des modèles de déformation implémentés par Deformetrica

`\vspace*{.5cm}`{=latex}

::: columns

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/stars_cauchy_005.png){height=60%}

LDDMM.

`\end{center}`{=latex}

::::

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/stars_cauchy_005_2its.png){height=60%}

LDDMM + normalisation.

`\end{center}`{=latex}

::::

:::


## Limite des modèles de déformation implémentés par Deformetrica

`\vspace*{.5cm}`{=latex}

::: columns

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/worms_cauchy_005.png){height=60%}

LDDMM.

`\end{center}`{=latex}

::::

:::: {.column width=45%}

`\begin{center}`{=latex}

![](images/lddmm/worms_cauchy_005_2its.png){height=60%}

LDDMM + normalisation.

`\end{center}`{=latex}

::::

:::